[Planck.js API Doc](../README.md) › [Globals](../globals.md) › [MotorJointDef](motorjointdef.md)

# Interface: MotorJointDef

## Hierarchy

  ↳ [JointDef](jointdef.md)

  ↳ [MotorJointOpt](motorjointopt.md)

  ↳ **MotorJointDef**

## Index

### Properties

* [bodyA](motorjointdef.md#bodya)
* [bodyB](motorjointdef.md#bodyb)
* [collideConnected](motorjointdef.md#optional-collideconnected)
* [correctionFactor](motorjointdef.md#correctionfactor)
* [linearOffset](motorjointdef.md#linearoffset)
* [maxForce](motorjointdef.md#maxforce)
* [maxTorque](motorjointdef.md#maxtorque)
* [userData](motorjointdef.md#optional-userdata)

## Properties

###  bodyA

• **bodyA**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyA](jointdef.md#bodya)*

*Defined in [joint/index.d.ts:56](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L56)*

___

###  bodyB

• **bodyB**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyB](jointdef.md#bodyb)*

*Defined in [joint/index.d.ts:57](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L57)*

___

### `Optional` collideConnected

• **collideConnected**? : *boolean*

*Inherited from [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Overrides [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Defined in [joint/index.d.ts:52](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L52)*

___

###  correctionFactor

• **correctionFactor**: *number*

*Inherited from [MotorJointOpt](motorjointopt.md).[correctionFactor](motorjointopt.md#correctionfactor)*

*Defined in [joint/index.d.ts:251](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L251)*

___

###  linearOffset

• **linearOffset**: *[Vec2](../classes/vec2.md)*

*Inherited from [MotorJointOpt](motorjointopt.md).[linearOffset](motorjointopt.md#linearoffset)*

*Defined in [joint/index.d.ts:252](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L252)*

___

###  maxForce

• **maxForce**: *number*

*Inherited from [MotorJointOpt](motorjointopt.md).[maxForce](motorjointopt.md#maxforce)*

*Defined in [joint/index.d.ts:249](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L249)*

___

###  maxTorque

• **maxTorque**: *number*

*Inherited from [MotorJointOpt](motorjointopt.md).[maxTorque](motorjointopt.md#maxtorque)*

*Defined in [joint/index.d.ts:250](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L250)*

___

### `Optional` userData

• **userData**? : *any*

*Inherited from [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Overrides [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Defined in [joint/index.d.ts:51](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L51)*
