[Planck.js API Doc](../README.md) › [Globals](../globals.md) › [MouseJointDef](mousejointdef.md)

# Interface: MouseJointDef

## Hierarchy

  ↳ [JointDef](jointdef.md)

  ↳ [MouseJointOpt](mousejointopt.md)

  ↳ **MouseJointDef**

## Index

### Properties

* [bodyA](mousejointdef.md#bodya)
* [bodyB](mousejointdef.md#bodyb)
* [collideConnected](mousejointdef.md#optional-collideconnected)
* [dampingRatio](mousejointdef.md#dampingratio)
* [frequencyHz](mousejointdef.md#frequencyhz)
* [maxForce](mousejointdef.md#maxforce)
* [target](mousejointdef.md#target)
* [userData](mousejointdef.md#optional-userdata)

## Properties

###  bodyA

• **bodyA**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyA](jointdef.md#bodya)*

*Defined in [joint/index.d.ts:56](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L56)*

___

###  bodyB

• **bodyB**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyB](jointdef.md#bodyb)*

*Defined in [joint/index.d.ts:57](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L57)*

___

### `Optional` collideConnected

• **collideConnected**? : *boolean*

*Inherited from [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Overrides [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Defined in [joint/index.d.ts:52](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L52)*

___

###  dampingRatio

• **dampingRatio**: *number*

*Inherited from [MouseJointOpt](mousejointopt.md).[dampingRatio](mousejointopt.md#dampingratio)*

*Defined in [joint/index.d.ts:296](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L296)*

___

###  frequencyHz

• **frequencyHz**: *number*

*Inherited from [MouseJointOpt](mousejointopt.md).[frequencyHz](mousejointopt.md#frequencyhz)*

*Defined in [joint/index.d.ts:295](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L295)*

___

###  maxForce

• **maxForce**: *number*

*Inherited from [MouseJointOpt](mousejointopt.md).[maxForce](mousejointopt.md#maxforce)*

*Defined in [joint/index.d.ts:294](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L294)*

___

###  target

• **target**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:300](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L300)*

___

### `Optional` userData

• **userData**? : *any*

*Inherited from [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Overrides [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Defined in [joint/index.d.ts:51](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L51)*
