[Planck.js API Doc](../README.md) › [Globals](../globals.md) › [PrismaticJointDef](prismaticjointdef.md)

# Interface: PrismaticJointDef

## Hierarchy

  ↳ [JointDef](jointdef.md)

  ↳ [PrismaticJointOpt](prismaticjointopt.md)

  ↳ **PrismaticJointDef**

## Index

### Properties

* [bodyA](prismaticjointdef.md#bodya)
* [bodyB](prismaticjointdef.md#bodyb)
* [collideConnected](prismaticjointdef.md#optional-collideconnected)
* [enableLimit](prismaticjointdef.md#enablelimit)
* [enableMotor](prismaticjointdef.md#enablemotor)
* [localAnchorA](prismaticjointdef.md#localanchora)
* [localAnchorB](prismaticjointdef.md#localanchorb)
* [localAxisA](prismaticjointdef.md#localaxisa)
* [lowerTranslation](prismaticjointdef.md#lowertranslation)
* [maxMotorForce](prismaticjointdef.md#maxmotorforce)
* [motorSpeed](prismaticjointdef.md#motorspeed)
* [referenceAngle](prismaticjointdef.md#referenceangle)
* [upperTranslation](prismaticjointdef.md#uppertranslation)
* [userData](prismaticjointdef.md#optional-userdata)

## Properties

###  bodyA

• **bodyA**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyA](jointdef.md#bodya)*

*Defined in [joint/index.d.ts:56](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L56)*

___

###  bodyB

• **bodyB**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyB](jointdef.md#bodyb)*

*Defined in [joint/index.d.ts:57](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L57)*

___

### `Optional` collideConnected

• **collideConnected**? : *boolean*

*Inherited from [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Overrides [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Defined in [joint/index.d.ts:52](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L52)*

___

###  enableLimit

• **enableLimit**: *boolean*

*Inherited from [PrismaticJointOpt](prismaticjointopt.md).[enableLimit](prismaticjointopt.md#enablelimit)*

*Defined in [joint/index.d.ts:362](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L362)*

___

###  enableMotor

• **enableMotor**: *boolean*

*Inherited from [PrismaticJointOpt](prismaticjointopt.md).[enableMotor](prismaticjointopt.md#enablemotor)*

*Defined in [joint/index.d.ts:365](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L365)*

___

###  localAnchorA

• **localAnchorA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:371](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L371)*

___

###  localAnchorB

• **localAnchorB**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:372](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L372)*

___

###  localAxisA

• **localAxisA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:373](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L373)*

___

###  lowerTranslation

• **lowerTranslation**: *number*

*Inherited from [PrismaticJointOpt](prismaticjointopt.md).[lowerTranslation](prismaticjointopt.md#lowertranslation)*

*Defined in [joint/index.d.ts:363](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L363)*

___

###  maxMotorForce

• **maxMotorForce**: *number*

*Inherited from [PrismaticJointOpt](prismaticjointopt.md).[maxMotorForce](prismaticjointopt.md#maxmotorforce)*

*Defined in [joint/index.d.ts:366](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L366)*

___

###  motorSpeed

• **motorSpeed**: *number*

*Inherited from [PrismaticJointOpt](prismaticjointopt.md).[motorSpeed](prismaticjointopt.md#motorspeed)*

*Defined in [joint/index.d.ts:367](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L367)*

___

###  referenceAngle

• **referenceAngle**: *number*

*Defined in [joint/index.d.ts:374](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L374)*

___

###  upperTranslation

• **upperTranslation**: *number*

*Inherited from [PrismaticJointOpt](prismaticjointopt.md).[upperTranslation](prismaticjointopt.md#uppertranslation)*

*Defined in [joint/index.d.ts:364](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L364)*

___

### `Optional` userData

• **userData**? : *any*

*Inherited from [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Overrides [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Defined in [joint/index.d.ts:51](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L51)*
