[Planck.js API Doc](../README.md) › [Globals](../globals.md) › [PulleyJointDef](pulleyjointdef.md)

# Interface: PulleyJointDef

## Hierarchy

  ↳ [JointDef](jointdef.md)

  ↳ [PulleyJointOpt](pulleyjointopt.md)

  ↳ **PulleyJointDef**

## Index

### Properties

* [bodyA](pulleyjointdef.md#bodya)
* [bodyB](pulleyjointdef.md#bodyb)
* [collideConnected](pulleyjointdef.md#optional-collideconnected)
* [groundAnchorA](pulleyjointdef.md#groundanchora)
* [groundAnchorB](pulleyjointdef.md#groundanchorb)
* [lengthA](pulleyjointdef.md#lengtha)
* [lengthB](pulleyjointdef.md#lengthb)
* [localAnchorA](pulleyjointdef.md#localanchora)
* [localAnchorB](pulleyjointdef.md#localanchorb)
* [ratio](pulleyjointdef.md#ratio)
* [userData](pulleyjointdef.md#optional-userdata)

## Properties

###  bodyA

• **bodyA**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyA](jointdef.md#bodya)*

*Defined in [joint/index.d.ts:56](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L56)*

___

###  bodyB

• **bodyB**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyB](jointdef.md#bodyb)*

*Defined in [joint/index.d.ts:57](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L57)*

___

### `Optional` collideConnected

• **collideConnected**? : *boolean*

*Inherited from [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Overrides [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Defined in [joint/index.d.ts:52](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L52)*

___

###  groundAnchorA

• **groundAnchorA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:423](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L423)*

___

###  groundAnchorB

• **groundAnchorB**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:424](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L424)*

___

###  lengthA

• **lengthA**: *number*

*Defined in [joint/index.d.ts:427](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L427)*

___

###  lengthB

• **lengthB**: *number*

*Defined in [joint/index.d.ts:428](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L428)*

___

###  localAnchorA

• **localAnchorA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:425](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L425)*

___

###  localAnchorB

• **localAnchorB**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:426](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L426)*

___

###  ratio

• **ratio**: *number*

*Defined in [joint/index.d.ts:429](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L429)*

___

### `Optional` userData

• **userData**? : *any*

*Inherited from [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Overrides [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Defined in [joint/index.d.ts:51](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L51)*
