[Planck.js API Doc](../README.md) › [Globals](../globals.md) › [RevoluteJointDef](revolutejointdef.md)

# Interface: RevoluteJointDef

## Hierarchy

  ↳ [JointDef](jointdef.md)

  ↳ [RevoluteJointOpt](revolutejointopt.md)

  ↳ **RevoluteJointDef**

## Index

### Properties

* [bodyA](revolutejointdef.md#bodya)
* [bodyB](revolutejointdef.md#bodyb)
* [collideConnected](revolutejointdef.md#optional-collideconnected)
* [enableLimit](revolutejointdef.md#enablelimit)
* [enableMotor](revolutejointdef.md#enablemotor)
* [localAnchorA](revolutejointdef.md#localanchora)
* [localAnchorB](revolutejointdef.md#localanchorb)
* [lowerAngle](revolutejointdef.md#lowerangle)
* [maxMotorTorque](revolutejointdef.md#maxmotortorque)
* [motorSpeed](revolutejointdef.md#motorspeed)
* [referenceAngle](revolutejointdef.md#referenceangle)
* [upperAngle](revolutejointdef.md#upperangle)
* [userData](revolutejointdef.md#optional-userdata)

## Properties

###  bodyA

• **bodyA**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyA](jointdef.md#bodya)*

*Defined in [joint/index.d.ts:56](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L56)*

___

###  bodyB

• **bodyB**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyB](jointdef.md#bodyb)*

*Defined in [joint/index.d.ts:57](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L57)*

___

### `Optional` collideConnected

• **collideConnected**? : *boolean*

*Inherited from [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Overrides [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Defined in [joint/index.d.ts:52](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L52)*

___

###  enableLimit

• **enableLimit**: *boolean*

*Inherited from [RevoluteJointOpt](revolutejointopt.md).[enableLimit](revolutejointopt.md#enablelimit)*

*Defined in [joint/index.d.ts:492](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L492)*

___

###  enableMotor

• **enableMotor**: *boolean*

*Inherited from [RevoluteJointOpt](revolutejointopt.md).[enableMotor](revolutejointopt.md#enablemotor)*

*Defined in [joint/index.d.ts:493](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L493)*

___

###  localAnchorA

• **localAnchorA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:497](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L497)*

___

###  localAnchorB

• **localAnchorB**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:498](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L498)*

___

###  lowerAngle

• **lowerAngle**: *number*

*Inherited from [RevoluteJointOpt](revolutejointopt.md).[lowerAngle](revolutejointopt.md#lowerangle)*

*Defined in [joint/index.d.ts:488](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L488)*

___

###  maxMotorTorque

• **maxMotorTorque**: *number*

*Inherited from [RevoluteJointOpt](revolutejointopt.md).[maxMotorTorque](revolutejointopt.md#maxmotortorque)*

*Defined in [joint/index.d.ts:490](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L490)*

___

###  motorSpeed

• **motorSpeed**: *number*

*Inherited from [RevoluteJointOpt](revolutejointopt.md).[motorSpeed](revolutejointopt.md#motorspeed)*

*Defined in [joint/index.d.ts:491](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L491)*

___

###  referenceAngle

• **referenceAngle**: *number*

*Defined in [joint/index.d.ts:499](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L499)*

___

###  upperAngle

• **upperAngle**: *number*

*Inherited from [RevoluteJointOpt](revolutejointopt.md).[upperAngle](revolutejointopt.md#upperangle)*

*Defined in [joint/index.d.ts:489](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L489)*

___

### `Optional` userData

• **userData**? : *any*

*Inherited from [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Overrides [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Defined in [joint/index.d.ts:51](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L51)*
