[Planck.js API Doc](../README.md) › [Globals](../globals.md) › [WeldJointDef](weldjointdef.md)

# Interface: WeldJointDef

## Hierarchy

  ↳ [JointDef](jointdef.md)

  ↳ [WeldJointOpt](weldjointopt.md)

  ↳ **WeldJointDef**

## Index

### Properties

* [bodyA](weldjointdef.md#bodya)
* [bodyB](weldjointdef.md#bodyb)
* [collideConnected](weldjointdef.md#optional-collideconnected)
* [dampingRatio](weldjointdef.md#dampingratio)
* [frequencyHz](weldjointdef.md#frequencyhz)
* [localAnchorA](weldjointdef.md#localanchora)
* [localAnchorB](weldjointdef.md#localanchorb)
* [localAxisA](weldjointdef.md#localaxisa)
* [referenceAngle](weldjointdef.md#referenceangle)
* [userData](weldjointdef.md#optional-userdata)

## Properties

###  bodyA

• **bodyA**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyA](jointdef.md#bodya)*

*Defined in [joint/index.d.ts:56](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L56)*

___

###  bodyB

• **bodyB**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyB](jointdef.md#bodyb)*

*Defined in [joint/index.d.ts:57](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L57)*

___

### `Optional` collideConnected

• **collideConnected**? : *boolean*

*Inherited from [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Overrides [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Defined in [joint/index.d.ts:52](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L52)*

___

###  dampingRatio

• **dampingRatio**: *number*

*Inherited from [WeldJointOpt](weldjointopt.md).[dampingRatio](weldjointopt.md#dampingratio)*

*Defined in [joint/index.d.ts:586](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L586)*

___

###  frequencyHz

• **frequencyHz**: *number*

*Inherited from [WeldJointOpt](weldjointopt.md).[frequencyHz](weldjointopt.md#frequencyhz)*

*Defined in [joint/index.d.ts:585](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L585)*

___

###  localAnchorA

• **localAnchorA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:591](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L591)*

___

###  localAnchorB

• **localAnchorB**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:592](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L592)*

___

###  localAxisA

• **localAxisA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:593](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L593)*

___

###  referenceAngle

• **referenceAngle**: *number*

*Inherited from [WeldJointOpt](weldjointopt.md).[referenceAngle](weldjointopt.md#referenceangle)*

*Defined in [joint/index.d.ts:587](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L587)*

___

### `Optional` userData

• **userData**? : *any*

*Inherited from [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Overrides [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Defined in [joint/index.d.ts:51](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L51)*
