[Planck.js API Doc](../README.md) › [Globals](../globals.md) › [WheelJointDef](wheeljointdef.md)

# Interface: WheelJointDef

## Hierarchy

  ↳ [JointDef](jointdef.md)

  ↳ [WheelJointOpt](wheeljointopt.md)

  ↳ **WheelJointDef**

## Index

### Properties

* [bodyA](wheeljointdef.md#bodya)
* [bodyB](wheeljointdef.md#bodyb)
* [collideConnected](wheeljointdef.md#optional-collideconnected)
* [dampingRatio](wheeljointdef.md#dampingratio)
* [enableMotor](wheeljointdef.md#enablemotor)
* [frequencyHz](wheeljointdef.md#frequencyhz)
* [localAnchorA](wheeljointdef.md#localanchora)
* [localAnchorB](wheeljointdef.md#localanchorb)
* [localAxisA](wheeljointdef.md#localaxisa)
* [maxMotorTorque](wheeljointdef.md#maxmotortorque)
* [motorSpeed](wheeljointdef.md#motorspeed)
* [userData](wheeljointdef.md#optional-userdata)

## Properties

###  bodyA

• **bodyA**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyA](jointdef.md#bodya)*

*Defined in [joint/index.d.ts:56](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L56)*

___

###  bodyB

• **bodyB**: *[Body](../classes/body.md)*

*Inherited from [JointDef](jointdef.md).[bodyB](jointdef.md#bodyb)*

*Defined in [joint/index.d.ts:57](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L57)*

___

### `Optional` collideConnected

• **collideConnected**? : *boolean*

*Inherited from [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Overrides [JointOpt](jointopt.md).[collideConnected](jointopt.md#optional-collideconnected)*

*Defined in [joint/index.d.ts:52](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L52)*

___

###  dampingRatio

• **dampingRatio**: *number*

*Inherited from [WheelJointOpt](wheeljointopt.md).[dampingRatio](wheeljointopt.md#dampingratio)*

*Defined in [joint/index.d.ts:659](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L659)*

___

###  enableMotor

• **enableMotor**: *boolean*

*Inherited from [WheelJointOpt](wheeljointopt.md).[enableMotor](wheeljointopt.md#enablemotor)*

*Defined in [joint/index.d.ts:655](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L655)*

___

###  frequencyHz

• **frequencyHz**: *number*

*Inherited from [WheelJointOpt](wheeljointopt.md).[frequencyHz](wheeljointopt.md#frequencyhz)*

*Defined in [joint/index.d.ts:658](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L658)*

___

###  localAnchorA

• **localAnchorA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:663](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L663)*

___

###  localAnchorB

• **localAnchorB**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:664](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L664)*

___

###  localAxisA

• **localAxisA**: *[Vec2](../classes/vec2.md)*

*Defined in [joint/index.d.ts:665](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L665)*

___

###  maxMotorTorque

• **maxMotorTorque**: *number*

*Inherited from [WheelJointOpt](wheeljointopt.md).[maxMotorTorque](wheeljointopt.md#maxmotortorque)*

*Defined in [joint/index.d.ts:656](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L656)*

___

###  motorSpeed

• **motorSpeed**: *number*

*Inherited from [WheelJointOpt](wheeljointopt.md).[motorSpeed](wheeljointopt.md#motorspeed)*

*Defined in [joint/index.d.ts:657](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L657)*

___

### `Optional` userData

• **userData**? : *any*

*Inherited from [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Overrides [JointOpt](jointopt.md).[userData](jointopt.md#optional-userdata)*

*Defined in [joint/index.d.ts:51](https://github.com/shakiba/planck.js/blob/038d425/lib/joint/index.d.ts#L51)*
